<div dir="ltr">Thanks Josh,<div><br></div><div>Redirecting output to /dev/null is not a big deal ;)</div><div>I was talking about more descriptive message (Something like: "Cleanse run OK" or something like that) because "Created session 0cb6dedf-4653-42b4-911a-d41e492fc6bd" didn't tell me much ;)<br clear="all">

<div dir="ltr"><span style="font-family:arial, sans-serif;font-size:13px;border-collapse:collapse;color:rgb(80, 0, 80)"><div><br></div><div>Cheers,</div><div>Leon Kolchinsky</div></span></div><br>
<br><br><div class="gmail_quote">On Fri, Oct 21, 2011 at 18:51, Josh Moore <span dir="ltr"><<a href="mailto:josh@glencoesoftware.com">josh@glencoesoftware.com</a>></span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex;">

<div class="im"><br>
On Oct 21, 2011, at 1:42 AM, Leon Kolchinsky wrote:<br>
<br>
> Hello All,<br>
><br>
> I have a quick question regarding Omero maintenance:<br>
><br>
> I'm running the following script every hour:<br>
><br>
> # cat /srv/scripts/cleanse_omero_repo.sh<br>
> #!/bin/bash<br>
><br>
> USERNAME="root"<br>
> PASSWORD="verysecret"<br>
> BINARY_REPOSITORY="/srv/omerodata"<br>
> OMERO_HOME=/srv/omeroserver<br>
> /bin/su - omero -c "$OMERO_HOME/bin/omero -s localhost -u $USERNAME -w<br>
> $PASSWORD admin cleanse $BINARY_REPOSITORY"<br>
><br>
> The output usually is something like that:<br>
> Created session 0cb6dedf-4653-42b4-911a-d41e492fc6bd (root@localhost:4064).<br>
> Idle timeout: 10.0 min. Current group: system<br>
><br>
> Is it OK?<br>
> What does it mean?<br>
<br>
</div>It's definitely ok. It's just the command-line's reporting on who you are logged in as.<br>
<div class="im"><br>
> Any way to make it more "user friendly" in the future versions?<br>
<br>
</div>A "quiet" option is already in the works for the command-line, which will be available in 4.4. For the moment, you can either use a Python script rather than bash script to do the same thing, or you capture the error output with something like this:<br>


<br>
    ERROR=$(./err.sh 3>&1 1>&2 2>&3);<br>
<br>
For example:<br>
<br>
    ## Run without an error<br>
    /tmp $ ./swap.sh<br>
    out:Fri Oct 21 09:40:36 CEST 2011<br>
<br>
    ## Run with an error<br>
    /tmp $ ./swap.sh 1<br>
    out:Fri Oct 21 09:40:37 CEST 2011<br>
    ERROR:<br>
    err:Fri Oct 21 09:40:37 CEST 2011<br>
<br>
    /tmp $ cat swap.sh<br>
    #!/bin/bash<br>
<br>
    ERROR=$(./err.sh "$@" 3>&1 1>&2 2>&3);<br>
<br>
    if [ $? -ne 0 ]<br>
    then<br>
        echo "ERROR:"<br>
        echo "$ERROR"<br>
    fi<br>
<br>
    /tmp $ cat err.sh<br>
    (echo -n "err:"; date) 1>&2<br>
    (echo -n "out:"; date)<br>
    exit $1<br>
<br>
<br>
So something like:<br>
<br>
    ERROR=$(/bin/su - omero -c "$OMERO_HOME/bin/omero -s localhost -u $USERNAME -w $PASSWORD admin cleanse $BINARY_REPOSITORY" 3>&1 1>&2 2>&3);<br>
    if [ $? -ne 0 ]<br>
    then<br>
        echo "ERROR:"<br>
        echo "$ERROR"<br>
    fi<br>
<br>
<br>
> Cheers,<br>
> Leon Kolchinsky<br>
<br>
Cheers,<br>
<font color="#888888">~Josh.<br>
<br>
</font></blockquote></div><br></div></div>